Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

From: "Abraham S.A.H." <[email-masked]>
Date: Sat, 30 Mar 2024 09:13:26 +0100 (CET)

Hello. I ran GDB with `gdb emacs`.

It downloaded some debuginfo stuff that I don't know what are they.

And then I ran `run -Q` 

It's the result on the terminal:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Reading symbols from emacs...
(No debugging symbols found in emacs)
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 28804)]
[New Thread 0x7fffed0006c0 (LWP 28805)]
[New Thread 0x7fffe7e006c0 (LWP 28806)]
[New Thread 0x7fffe74006c0 (LWP 28807)]
[New Thread 0x7fffe6a006c0 (LWP 28808)]
[New Thread 0x7fffe50006c0 (LWP 28809)]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555558567c9 in ?? ()
(gdb) Quit
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 28856)]
[New Thread 0x7fffed0006c0 (LWP 28857)]
[New Thread 0x7fffe7e006c0 (LWP 28858)]
[New Thread 0x7fffe74006c0 (LWP 28859)]
[New Thread 0x7fffe6a006c0 (LWP 28860)]
[New Thread 0x7fffe50006c0 (LWP 28861)]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555558567c9 in ?? ()
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

It seems like that `emacs-wayland` package does not contain debug symbols.  I have to probably consult with Arch Wiki or ask for guidance in archlinux mailing lists to find out if there is a version with debugging symbols enabled to download.   Or just rebuild the package with debugging symbols enabled.

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com